summaryrefslogtreecommitdiffstats
path: root/source/n
diff options
context:
space:
mode:
Diffstat (limited to 'source/n')
-rwxr-xr-xsource/n/libndp/libndp.SlackBuild6
-rwxr-xr-xsource/n/npth/npth.SlackBuild6
-rw-r--r--source/n/npth/npth.url1
-rwxr-xr-xsource/n/php/fetch-php.sh4
-rw-r--r--source/n/slrn/slack-desc2
-rwxr-xr-xsource/n/slrn/slrn.SlackBuild9
-rw-r--r--source/n/slrn/slrn.url1
-rw-r--r--source/n/snownews/slack-desc2
-rw-r--r--source/n/snownews/snownews.fake.destdir.diff16
9 files changed, 25 insertions, 22 deletions
diff --git a/source/n/libndp/libndp.SlackBuild b/source/n/libndp/libndp.SlackBuild
index 4852c60d4..98ede55cd 100755
--- a/source/n/libndp/libndp.SlackBuild
+++ b/source/n/libndp/libndp.SlackBuild
@@ -26,8 +26,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libndp
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -68,7 +68,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
diff --git a/source/n/npth/npth.SlackBuild b/source/n/npth/npth.SlackBuild
index a838786e6..4dc45b33c 100755
--- a/source/n/npth/npth.SlackBuild
+++ b/source/n/npth/npth.SlackBuild
@@ -24,8 +24,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=npth
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -68,7 +68,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
diff --git a/source/n/npth/npth.url b/source/n/npth/npth.url
new file mode 100644
index 000000000..12816ad99
--- /dev/null
+++ b/source/n/npth/npth.url
@@ -0,0 +1 @@
+ftp.gnupg.org:/gcrypt/npth
diff --git a/source/n/php/fetch-php.sh b/source/n/php/fetch-php.sh
index b0ffbfcb6..b86729ae5 100755
--- a/source/n/php/fetch-php.sh
+++ b/source/n/php/fetch-php.sh
@@ -1,2 +1,2 @@
-lftpget http://us.php.net/distributions/php-7.2.11.tar.xz.asc
-lftpget http://us.php.net/distributions/php-7.2.11.tar.xz
+lftpget http://us.php.net/distributions/php-7.2.12.tar.xz.asc
+lftpget http://us.php.net/distributions/php-7.2.12.tar.xz
diff --git a/source/n/slrn/slack-desc b/source/n/slrn/slack-desc
index 8d5462970..47393e060 100644
--- a/source/n/slrn/slack-desc
+++ b/source/n/slrn/slack-desc
@@ -14,6 +14,6 @@ slrn: using the s-lang macro language.
slrn:
slrn: slrn was written and is maintained by John E. Davis.
slrn:
-slrn:
+slrn: Homepage: http://slrn.sourceforge.net
slrn:
slrn:
diff --git a/source/n/slrn/slrn.SlackBuild b/source/n/slrn/slrn.SlackBuild
index 3981567ec..018da3e39 100755
--- a/source/n/slrn/slrn.SlackBuild
+++ b/source/n/slrn/slrn.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=slrn
-VERSION=1.0.2
-BUILD=${BUILD:-3}
+VERSION=1.0.3a
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -67,8 +67,9 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf slrn-$VERSION
-tar xvf $CWD/slrn-$VERSION.tar.?z* || exit 1
-cd slrn-$VERSION || exit 1
+tar xvf $CWD/slrn-$VERSION.tar.?z || exit 1
+# Kludge for different directory version:
+cd slrn-$VERSION || cd slrn-1.0.3 || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/n/slrn/slrn.url b/source/n/slrn/slrn.url
new file mode 100644
index 000000000..13c3f9790
--- /dev/null
+++ b/source/n/slrn/slrn.url
@@ -0,0 +1 @@
+http://jedsoft.org/releases/slrn
diff --git a/source/n/snownews/slack-desc b/source/n/snownews/slack-desc
index c8f213ab9..e436e8fea 100644
--- a/source/n/snownews/slack-desc
+++ b/source/n/snownews/slack-desc
@@ -14,6 +14,6 @@ snownews: other formats.
snownews:
snownews: Snownews was written and is maintained by Oliver Feiler.
snownews:
-snownews: Snownews homepage: https://github.com/kouya/snownews
+snownews: Homepage: https://github.com/kouya/snownews
snownews:
snownews:
diff --git a/source/n/snownews/snownews.fake.destdir.diff b/source/n/snownews/snownews.fake.destdir.diff
index 305c6d61f..ecabade76 100644
--- a/source/n/snownews/snownews.fake.destdir.diff
+++ b/source/n/snownews/snownews.fake.destdir.diff
@@ -1,8 +1,8 @@
---- ./Config.mk.orig 2018-05-07 16:40:21.596003821 -0500
-+++ ./Config.mk 2018-05-07 16:45:44.398003832 -0500
-@@ -9,10 +9,10 @@
- INSTALLSCR := ${INSTALL} -D -p -m 755
- INSTALLDATA := ${INSTALL} -D -p -m 644
+--- ./Config.mk.orig 2018-11-07 18:54:52.571283011 -0600
++++ ./Config.mk 2018-11-07 18:56:20.898274760 -0600
+@@ -17,10 +17,10 @@
+
+ ################ Destination #########################################
-PREFIX := /usr
+PREFIX := /tmp/package-snownews/usr
@@ -10,6 +10,6 @@
LOCALEPATH := ${PREFIX}/share/locale
-MANPATH := /usr/man
+MANPATH := ${PREFIX}/man
-
- CFLAGS := -Wall -Wextra -Os -std=c11 -D_GNU_SOURCE -D_DEFAULT_SOURCE -I/usr/include/libxml2
- LDFLAGS := -lcrypto -lxml2 -lncurses -lz -lm
+ BUILDDIR := /tmp/root/make/${NAME}
+ PKGDIR :=
+ O := .o/